/**
 * @file
 * Add referrer URL tracking to Matomo tracking code.
 */

document.addEventListener('DOMContentLoaded', () => {
  const parser = new DOMParser();
  const tag = document.querySelector('noscript.piwik-noscript');
  const doc = parser.parseFromString(tag.innerHTML, 'text/html');
  const image = doc.querySelector('img');
  if (image === null) {
    return;
  }
  const url = image.getAttribute('src');
  navigator.sendBeacon(
    `${url}&urlref=${encodeURIComponent(document.referrer)}&send_image=0`,
  );
});
